Bug 972403 - title on browser should be 'new job', not 'clone job'.
Summary: title on browser should be 'new job', not 'clone job'.
Status: CLOSED WONTFIX
Alias: None
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
(Show other bugs)
Version: 0.12
Hardware: Unspecified Unspecified
unspecified
low vote
Target Milestone: ---
Assignee: Amit Saha
QA Contact: tools-bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-09 07:40 UTC by wangjing
Modified: 2018-02-06 00:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-21 04:39:30 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description wangjing 2013-06-09 07:40:51 UTC
Description of problem:
when new a job, title on browser should be 'new job', not 'clone job'.

Version-Release number of selected component (if applicable):
devel env Version - 0.12.1 

How reproducible:
always

Steps to Reproduce:
1. Scheduler->New Job
2. add a valid job xml
3. click button Submit Data

Actual results:
'clone job' on the browser title. 

Expected results:
'new job' should be on the browser title.

Additional info:

Comment 1 Amit Saha 2013-06-21 03:13:19 UTC
On Gerrit: http://gerrit.beaker-project.org/#/c/2050/

Comment 2 Dan Callaghan 2013-06-21 04:39:30 UTC
The page flow for submitting job XML is a bit messy right now, the /jobs/clone URL is reused both for cloning a job from the database or editing a submitted XML file. But "Clone Job" is (arguably) a reasonable title in both cases, and certainly it's not ambiguous in any way. So there's no reason to change it.

Ultimately the UI for submitting/editing job XML would benefit from an overhaul, I have some ideas about this (and there is open bug 584555 for it as well).


Note You need to log in before you can comment on or make changes to this bug.